var gulp = require("gulp");
var babel = require("gulp-babel");
var browserify = require('gulp-browserify'); //新增代码
var uglify = require('gulp-uglify');
var less = require('gulp-less');

function css_build() {
 return gulp.src('index.less')    // 入口文件
   .pipe(less())
   .pipe(gulp.dest('dist/css')); //打包之后的文件
}

function js_build() {
 return gulp.src("index.js")
   .pipe(babel())                //语法编译
   .pipe(browserify({         //新增代码
        insertGlobals: true,
        debug: true
        }))
   .pipe(uglify())               //代码压缩
   .pipe(gulp.dest("dist"));
}

// 多任务合并执行
gulp.task("default", gulp.series(css_build, js_build));
